Subject: Re: about 1.26

From: Zheng Gengbing <[email-masked]>
Date: Wed, 10 Apr 1996 11:11:59 +0800 (EAT)

On Tue, 9 Apr 1996, Guansong Zhang wrote:

> Hi,
> 
> I have fetched 1.26, compared with 1.25 and make it.
> 
> The following is what I see.
> 
> 1) several .c files in src/hpfcc is changed. but when
> hpfcc -l intrinsic.dep
> it still cause memory fault on rs6000-aix.3.2.5. (So the changing is improve
> hpfcc itself, not for rs6000, right?)
>

	Yes . Since we only have rs6000-aix.4.1 , on which we have tested 
without causing any core dump , so I don't know what's the problem .
If you give me a list of result of debugger, include line number and which
file it core dump , it will be very helpful .

> 2) Makefiles are changed. @ is omitted. This allow more information show on the
> screen. I think it is a good idea. So I will merge it to next versions.
> (But I don't understand in testsuite/hpfcc/Makefile, why testing like [ ! -f
> z1.f ] is needed?)

	I add this testing just to reduce the unneccessarily reload the samples 
in  /testsuite/source when 'make check'.

> 
> 3) FixSourceFile. I put #!/bin/sh in line 1, I don't know why you change it
> back to the old version.
> 

	I fail to see the modification of you , and simply overwrite a new one.
I will include that in next version.

> 
> Another suggestion, right now when you make install after make all, intr_call.c
> need to be recompiled due to fixing source again to locate new position of .d
> file. Could we improve it a little more? Say, we can put both path inside
> intr_call.c and fixed them once, then leave two possible .d file there, which
> ever hpfcc can find well be both ok.
> 

	I will improve it , but I don't agree you on putting both paths inside 
the file . That's ugly. 

	In fact ,it's natual to change some part of source code when install.
Installation is more than just copy . There are also many examples of the
softwares I encountered which do the same thing .

> That is all what I see. I won't send this 1.26 to HIT. (They have made their
> own little improvement) Keep improve on hpfcc if possible. I will talk on more
> about global header files and lib in my next letter. So we can merge basicop
> next time.
> 
> Guansong
> 

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************